Package twisted :: Package mail :: Module relaymanager :: Class SMTPManagedRelayer

[show private | hide private]
[frames | no frames]

## Class SMTPManagedRelayer

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                  SMTPClient --+
                               |
                     SMTPRelayer --+
                                   |
                                  SMTPManagedRelayer

SMTP Relayer which notifies a manager

Notify the manager about successful main, failed mail and broken connections

Method Summary
| ``__init__`(self, messages, manager)` initialize with list of messages and a manager
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self)` called when connection is broken
| ``connectionMade`(self)` Called when a connection is made. (inherited from `SMTPClient`)
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| ``getMailData`(self)` Return file-like object containing data of message to be sent. (inherited from `SMTPRelayer`)
| ``getMailFrom`(self)` Return the email address the mail is from. (inherited from `SMTPRelayer`)
| ``getMailTo`(self)` Return a list of emails to send to. (inherited from `SMTPRelayer`)
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received. (inherited from `SMTPClient`)
| `pauseProducing(self)` (inherited from `SMTPClient`)
| ``rawDataReceived`(self, data)` Override this for when raw data is received. (inherited from `LineReceiver`)
| ``resumeProducing`(self)` Write another (inherited from `SMTPClient`)
| ``sendLine`(self, line)` Sends a line to the other end of the connection. (inherited from `LineReceiver`)
| `sendToOrData(self)` (inherited from `SMTPClient`)
| ``sentMail`(self, addresses)` called when e-mail has been sent
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)
| `smtpCode_220_helo(self, line)` (inherited from `SMTPClient`)
| `smtpCode_221_quit(self, line)` (inherited from `SMTPClient`)
| `smtpCode_250_afterData(self, line)` (inherited from `SMTPClient`)
| `smtpCode_250_afterFrom(self, line)` (inherited from `SMTPClient`)
| `smtpCode_250_from(self, line)` (inherited from `SMTPClient`)
| `smtpCode_250_to(self, line)` (inherited from `SMTPClient`)
| `smtpCode_354_data(self, line)` (inherited from `SMTPClient`)
| `smtpCode_550_to(self, line)` (inherited from `SMTPClient`)
| `smtpCode_default(self, line)` (inherited from `SMTPClient`)
| `stopProducing(self)` (inherited from `SMTPClient`)

Class Variable Summary
`string` | `identity`

Method Details

### __init__(self, messages, manager)
(Constructor)

initialize with list of messages and a manager

messages should be file names. manager should support .notifySuccess, .notifyFailure and .notifyDone

### connectionLost(self)

called when connection is broken

notify manager we will try to send no more e-mail

### sentMail(self, addresses)

called when e-mail has been sent

we will always get 0 or 1 addresses.

Class Variable Details

### identity

  Type:
    `string`
  Value:

        'foo.bar'

Generated by Epydoc 1.1 on Sat Feb 15 21:17:55 2003 | http://epydoc.sf.net